Bug 193884 - New port: cad/sumo: Simulation of Urban MObility
Summary: New port: cad/sumo: Simulation of Urban MObility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-23 21:32 UTC by Enrique Fynn
Modified: 2017-12-03 19:20 UTC (History)
3 users (show)

See Also:


Attachments
shar file (2.24 KB, application/x-shar)
2014-09-23 21:32 UTC, Enrique Fynn
no flags Details
sumo shar (2.12 KB, text/plain)
2014-09-27 03:36 UTC, Enrique Fynn
no flags Details
sumo shar (2.13 KB, application/x-shar)
2014-09-30 19:26 UTC, Enrique Fynn
no flags Details
sumo.shar (2.17 KB, text/plain)
2014-10-14 15:17 UTC, Enrique Fynn
no flags Details
Updated patch (4.37 KB, patch)
2017-11-26 02:28 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enrique Fynn 2014-09-23 21:32:42 UTC
Created attachment 147627 [details]
shar file

Simulation of Urban MObility (SUMO) is an open source, highly portable, 
microscopic and continuous road traffic simulation package designed to handle
large road networks
Comment 1 Jason E. Hale freebsd_committer 2014-09-26 10:50:01 UTC
- MASTER_SITES should use the SF macro:
MASTER_SITES= SF/${PORTNAME}/${PORTNAME}/version%20${PORTVERSION}
- I think cad would be a better category for this
- Seems to be missing LIB_DEPENDS on graphics/gdal, graphics/proj, and textproc/xerces-c3 (instead of xerces-c2)
- Everything below <bsd.port.options.mk> should be converted to options helpers
- What exactly does the PYTHON option do?  There doesn't seem to be any python files installed.
Comment 2 Enrique Fynn 2014-09-27 03:36:22 UTC
Created attachment 147707 [details]
sumo shar

>> - MASTER_SITES should use the SF macro:
>> MASTER_SITES= SF/${PORTNAME}/${PORTNAME}/version%20${PORTVERSION}
Done.

>> - I think cad would be a better category for this
Sure.

>> - Seems to be missing LIB_DEPENDS on graphics/gdal, graphics/proj, and 
>> textproc/xerces-c3 (instead of xerces-c2)
The gdal and proj are options but I don't really know what that does, so I didn't created the make options, should I?

>> - Everything below <bsd.port.options.mk> should be converted to options helpers
I don't really know what you mean, the options descriptions and options logic?!

>> - What exactly does the PYTHON option do?  There doesn't seem to be any python >> files installed.
Sure, it doesn't install, but there are some python libraries in the work dir. I removed the option until I figure out how to install and test this python lib.

P.S.: Sorry for my mistakes, I'm a bit new into porting =/
Comment 3 Jason E. Hale freebsd_committer 2014-09-28 05:36:45 UTC
(In reply to Fynn from comment #2)
> >> - Seems to be missing LIB_DEPENDS on graphics/gdal, graphics/proj, and 
> >> textproc/xerces-c3 (instead of xerces-c2)
> The gdal and proj are options but I don't really know what that does, so I
> didn't created the make options, should I?
> 
It wouldn't configure for me without them, but I didn't look into whether they could be disabled.

> >> - Everything below <bsd.port.options.mk> should be converted to options helpers
> I don't really know what you mean, the options descriptions and options
> logic?!
> 
What I meant was
.if ! ${PORT_OPTIONS:MGUI}
CONFIGURE_ARGS+= --without-fox-config
.endif
Could just be:
GUI_CONFIGURE_OFF= --without-fox-config

Normally you could have used: GUI_CONFIGURE_WITH= fox-config
but, in this case, --with-fox-config expects an argument.

> >> - What exactly does the PYTHON option do?  There doesn't seem to be any python >> files installed.
> Sure, it doesn't install, but there are some python libraries in the work
> dir. I removed the option until I figure out how to install and test this
> python lib.
> 
Alright.  It could probably be installed with the post-install target.  I just didn't know how useful the Python files were.  I have no clue how this program works.  It just seemed pointless to depend on Python if it didn't actually serve a purpose.

> P.S.: Sorry for my mistakes, I'm a bit new into porting =/
No problem.  We're here to help.
Comment 4 Enrique Fynn 2014-09-30 19:26:39 UTC
Created attachment 147857 [details]
sumo shar

Added LIB_DEPENDS on graphics/gdal and graphics/proj

Better GUI configure
Comment 5 Enrique Fynn 2014-10-14 15:17:24 UTC
Created attachment 148302 [details]
sumo.shar

Fully working now.
Comment 6 Yuri Victorovich freebsd_committer 2017-11-26 02:28:32 UTC
Created attachment 188287 [details]
Updated patch

Updated the patch to version 0.31.0.
Added the DOCS option.
Added missing dependencies.
Comment 7 Yuri Victorovich freebsd_committer 2017-12-03 19:20:42 UTC
Committed with modifications.

Thanks for your contribution!
Comment 8 commit-hook freebsd_committer 2017-12-03 19:20:44 UTC
A commit references this bug:

Author: yuri
Date: Sun Dec  3 19:20:36 UTC 2017
New revision: 455420
URL: https://svnweb.freebsd.org/changeset/ports/455420

Log:
  New port: cad/sumo: Traffic simulation suite for road vehicles, public transportation, etc

  PR:		193884
  Submitted by:	Enrique Fynn <me@enriquefynn.com>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13248

Changes:
  head/cad/Makefile
  head/cad/sumo/
  head/cad/sumo/Makefile
  head/cad/sumo/distinfo
  head/cad/sumo/pkg-descr
  head/cad/sumo/pkg-plist